%global commit b1d5212831842ee5869d99bc208a21837e4037d5
%global snapdate 20210820

%bcond autoreconf 1

Name:           libcsv
Version:        3.0.3^%{snapdate}git%(c='%{commit}'; echo "${c:0:7}")
%global so_version 3
Release:    1%{?dist}
Summary:        Fast and flexible CSV library written in pure ANSI C

License:        LGPL-2.1-or-later
URL:            https://github.com/rgamble/libcsv
Source0:         %{url}/archive/%{commit}/libcsv-%{commit}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
%if %{with autoreconf}
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
%endif

%description
Fast and flexible CSV library written in pure ANSI C that can read and write
CSV data.


%package devel
Summary:        Development files for libcsv

Requires:       libcsv = %{version}-%{release}

%description devel
The libcsv-devel package contains libraries and header files for
developing applications that use libcsv.


%prep
%autosetup -n libcsv-%{commit}


%build
%if %{with autoreconf}
autoreconf --force --install --verbose
%endif
%configure --disable-static
%make_build


%install
%make_install
find '%{buildroot}' -type f -name '*.la' -print -delete


%check
%make_build check


%files
%license COPYING
%doc README

%{_libdir}/libcsv.so.%{so_version}{,.*}


%files devel
%doc csv.pdf
%doc FAQ

%{_includedir}/csv.h
%{_libdir}/libcsv.so
%{_mandir}/man3/csv.3*


%changelog
* Wed Aug 21 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.3^20210820gitb1d5212-1
- initial build
